// code asymptote
usepackage("amsmath,amssymb");
//usepackage("inputenc", locale("latin1"));
//usepackage("fontenc", locale("T1"));
texpreamble("\usepackage[T1]{fontenc}");
//texpreamble("\usepackage[frenchb]{babel}");
//usepackage("icomma");
//locale("fr_FR"); 
import graph;
import graph_pi;
//import patterns;
import labelpath;
//settings.outformat="pdf";
settings.outformat="eps";
marker croix2=marker(scale(2)*rotate(45)*cross(4),
                     1.1bp+black);
unitsize(0.7cm,0.085cm);
real w=0.6*linewidth(); 
// cre un crayon pour des points tous les a mm
//pen p=0.2pt+linetype("0"+ string(0.5mm),offset=0,scale=false,adjust=false);
pen p=0.3mm+linetype("0 "+ string(0.8mm),offset=0,scale=false,adjust=false);
pen q=.4pt+linetype("0 "+ string(0.5mm),offset=0,scale=false,adjust=false);

real xmin=-2,xmax=25; 
real ymin=-10,ymax=155; 
xlimits(xmin,xmax);
ylimits(ymin,ymax);
// ds qu'on met omitformat, on retombe dans le format par dfaut
//format("%f"),
xaxis(axis=YEquals(0),xmin=xmin,xmax=xmax,Ticks(scale(.75)*Label(Fill(white)),beginlabel=true,endlabel=true,Step=5,step=1,Size=1.2mm,size=0.5mm,ticklabel=OmitFormat(xmin,-1,xmax)),p=linewidth(0.9pt)+black,true,arrow=Arrow(HookHead));
yaxis(axis=XEquals(0),ymin=ymin,ymax=ymax,Ticks(scale(.75)*Label("$%0.f$",Fill(white)),beginlabel=false,endlabel=true,Step=10,step=2,Size=1.2mm,size=0.5mm,ticklabel=OmitFormat(ymin,0,ymax)),p=linewidth(0.9pt)+black,arrow=Arrow(HookHead));
grid(xmin=xmin, xmax=xmax,
     ymin=ymin, ymax=ymax,
     xStep=5, xstep=1,
     yStep=10, ystep=2,
     pTick=0.15mm+black, ptick=q,
     above=false);
label("Co\^ut total",(0.2,152),E,Fill(white));
label("Temps pass\'e en heures",(18,4),NE,Fill(white));
draw((xmin,ymin)--(xmax,ymin)--(xmax,ymax)--(xmin,ymax)--cycle,p=linewidth(1pt));
//draw((7,0)--(9.4,0),Arrow(HookHead,4mm));
//draw((0,7)--(0,8.4),Arrow(HookHead,4mm));

//labelx(Label("{\bf O}",NoFill), 0, SW);
//label("{\bf I}",(1,-0.1),S);
//label("{\bf J}",(-0.1,1),W);
//label(scale(1.75)*"${\Large\boldmath y\geqslant ax+b}$",(-0.5,2),blue);
xlimits(xmin,xmax,Crop);
ylimits(ymin,ymax,Crop);
//for(int k=0; k<15; ++k) {

   //draw((k,0.8+0.4*k)--(k,0.8+0.4*k),marker=croix2,2.6bp+blue);
   
    
//}
//dot((0,0.8),(1,2.2),(2,3.6),(3,5));
shipout(bbox(0.1cm,0.1cm,white));

